curl --request GET \
--url https://api.atlaswork.ai/api/review/envelope \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlaswork.ai/api/review/envelope', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlaswork.ai/api/review/envelope"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"envelope": {
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"templateId": "<string>",
"templateContentHash": "<string>",
"version": 123,
"originalFilename": "<string>",
"displayName": "<string>",
"sourceFormat": "<string>",
"contentHash": "<string>",
"sizeBytes": 123,
"deliveryMode": "<string>",
"legalFramework": "<string>",
"consumerDisclosure": true,
"expiresAt": "2023-11-07T05:31:56Z",
"scheduledSendAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"declinedAt": "2023-11-07T05:31:56Z",
"voidedAt": "2023-11-07T05:31:56Z",
"expiredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reminderPolicy": null,
"metadata": null,
"senderUserId": "<string>",
"senderName": "<string>",
"senderEmail": "<string>",
"detectedParties": null
},
"participants": [
{
"id": "<string>",
"envelopeId": "<string>",
"organizationId": "<string>",
"orderIndex": 123,
"name": "<string>",
"email": "<string>",
"consentedAt": "2023-11-07T05:31:56Z",
"signedAt": "2023-11-07T05:31:56Z",
"declinedAt": "2023-11-07T05:31:56Z",
"declineReason": "<string>",
"lastViewedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"company": "<string>",
"title": "<string>",
"detectedPartyIndex": 123
}
],
"fields": [
{
"id": "<string>",
"envelopeId": "<string>",
"organizationId": "<string>",
"participantId": "<string>",
"page": 123,
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"label": "<string>",
"required": true,
"prefillValue": "<string>",
"locked": true,
"value": "<string>",
"filledAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"partyIndex": 123
}
],
"documentUrl": "<string>",
"detection": {
"parties": [
{
"name": "<string>",
"description": "<string>",
"signerName": "<string>",
"company": "<string>",
"title": "<string>"
}
],
"senderPartyIndex": 123,
"matching": {
"matches": [
{
"partyIndex": 123,
"participantId": "<string>"
}
],
"ambiguous": true,
"assignedFieldCount": 123,
"unassignedFieldCount": 123
}
},
"sendPreflight": {
"credits": {
"balance": 1,
"required": 1,
"sufficient": true
},
"blockers": [
{
"code": "insufficient_credits",
"message": "<string>"
}
]
},
"effectiveSender": {
"kind": "user",
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com"
}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Get the envelope under review
Returns the full envelope graph for the token’s envelope, plus a short-lived signed documentUrl for the renderable PDF (the converted artifact when one exists, else the original only when it is a PDF; null when nothing renderable is stored) and a curated detection summary (parties + matching) derived from the latest completed detection run, or null when detection never completed. Requires a read-capable token.
curl --request GET \
--url https://api.atlaswork.ai/api/review/envelope \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlaswork.ai/api/review/envelope', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlaswork.ai/api/review/envelope"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"envelope": {
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"templateId": "<string>",
"templateContentHash": "<string>",
"version": 123,
"originalFilename": "<string>",
"displayName": "<string>",
"sourceFormat": "<string>",
"contentHash": "<string>",
"sizeBytes": 123,
"deliveryMode": "<string>",
"legalFramework": "<string>",
"consumerDisclosure": true,
"expiresAt": "2023-11-07T05:31:56Z",
"scheduledSendAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"declinedAt": "2023-11-07T05:31:56Z",
"voidedAt": "2023-11-07T05:31:56Z",
"expiredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reminderPolicy": null,
"metadata": null,
"senderUserId": "<string>",
"senderName": "<string>",
"senderEmail": "<string>",
"detectedParties": null
},
"participants": [
{
"id": "<string>",
"envelopeId": "<string>",
"organizationId": "<string>",
"orderIndex": 123,
"name": "<string>",
"email": "<string>",
"consentedAt": "2023-11-07T05:31:56Z",
"signedAt": "2023-11-07T05:31:56Z",
"declinedAt": "2023-11-07T05:31:56Z",
"declineReason": "<string>",
"lastViewedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"company": "<string>",
"title": "<string>",
"detectedPartyIndex": 123
}
],
"fields": [
{
"id": "<string>",
"envelopeId": "<string>",
"organizationId": "<string>",
"participantId": "<string>",
"page": 123,
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"label": "<string>",
"required": true,
"prefillValue": "<string>",
"locked": true,
"value": "<string>",
"filledAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"partyIndex": 123
}
],
"documentUrl": "<string>",
"detection": {
"parties": [
{
"name": "<string>",
"description": "<string>",
"signerName": "<string>",
"company": "<string>",
"title": "<string>"
}
],
"senderPartyIndex": 123,
"matching": {
"matches": [
{
"partyIndex": 123,
"participantId": "<string>"
}
],
"ambiguous": true,
"assignedFieldCount": 123,
"unassignedFieldCount": 123
}
},
"sendPreflight": {
"credits": {
"balance": 1,
"required": 1,
"sufficient": true
},
"blockers": [
{
"code": "insufficient_credits",
"message": "<string>"
}
]
},
"effectiveSender": {
"kind": "user",
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com"
}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Authorizations
HMAC-signed review token (minted into the envelope's review URL at creation), as a bearer token or a token query param. Capabilities are split per token: a read token grants view + draft editing, a send token grants the dispatch action only — so a forwarded review link can be shared read-only. Scoped to exactly one envelope; never valid as a signer credential.
Response
The envelope graph with review extras
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes